/**********************************************************************

FILE
    inout.h  -  maps compiler's 8-bit i/o function names 

REMARKS
    Different compilers call their 8-bit port i/o routines by different
    names.  This file contains macros to map these names to the generic
    in() and out().  This makes programs much more portable across
    different compilers

    Note: compiler #define's must be placed before this file.

***********************************************************************/


#if CIC86           /* Computer Innovations C86 */

#define in(port)            inportb((unsigned)(port))
#define out(port, value)    outportb((unsigned)(port), value)

#endif

#if DESMET          /* Desmet C  */

#define in(port)            _inb(port)
#define out(port, value)    _outb(port, value)

#endif

#if LATTICE         /* Lattice C (Version 2.15) */

#define in(port)            inp(port)
#define out(port, value)    outp(port, value)

#endif

#if MICROSOFT       /* Microsoft C Version 4.00 and 5.00 */

#define in(port)            inp(port)
#define out(port, value)    outp((port), value)

#endif

